LinHES - Bug # 586: Motherboard temperature doesn't display in RRDTool. rrd_mbtemp.pl is not R6

compatible.

Status: Closed Priority: Normal

Author: rsay Category:

Created: 11/28/2009 Assignee: jams

Updated: 03/25/2010 Due date:

Description: I noticed that Motherboard temperatures were not displaying in RRDTool. When | did get them to display, the

graphs were not attractive and didn't match the rest of the graphs on the page.

I made the following changes in my system:

1. Made rrd_mbtemp.pl executable

2. Redefined the location of the RRD and Web files in rrd_mbtemp.pl for R6

3. Changed the size and background colors of the graphs to match the others on the RRDTool page.

4. Added a colored temperature gradient below the plotted temperature line and reworded the graph labels
for improved clarity.

5. Updated /data/srv/httpd/htdocs/rrd/index-rrd.html to include display of MB temperatures.

6. Added mbtemp to the /usr/bin/run_rrd.sh script.

To maintain a consistent look, | made similar changes in rrd_hddtemp.pl

1. Changed the size and background colors of the graphs to match the others on the RRDTool page.

2. Added a colored temperature gradient below the plotted temperature line and reworded the graph labels
for improved clarity.

Associated revisions

03/25/2010 08:02 am - jams
rrd-stats: update rrd programs to use correct path

closes #664
closes #586

History

03/21/2010 07:00 pm - jams

- Assignee set to jams

03/25/2010 07:06 am - jams
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:"792e8642dd1f8d59acb9d7f5fc417594a23ddf0e".

Files

rrd_mbtemp.pl
rrd_hddtemp.pl
run_rrd.sh

index-rrd.html

04/30/2025

5.8 kB 11/28/2009 admin
5.6 kB 11/28/2009 admin
133 Bytes 11/28/2009 admin
1.3kB 11/28/2009 admin
